:
# RCSid:
#	$Id: source.sh,v 1.8 2010/07/26 17:29:22 sjg Exp $
#
#	@(#) Copyright (c) 1994 Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@crufty.net
#

# this one can cause some shell's to segfault if loaded recursively
# so always use
# $_SOURCE_SH . source.sh
_SOURCE_SH=:

# these are from rc.sh, but others can use them too.
Which() {
	case "$1" in
	-*) t=$1; shift;;
	*) t=-x;;
	esac
	case "$1" in
	/*)	test $t $1 && echo $1;;
	*)
		for d in `IFS=:; echo ${2:-$PATH}`
		do
			test $t $d/$1 && { echo $d/$1; break; }
		done
		;;
	esac
}

# handy for finding include files
_sourced_files=
_source() {
	f=$1; shift
	case $f in
	:|break) x=$f; f=$1; shift;;
	*) x=break;;
	esac
	for d in `IFS=:; echo ${*:-$PATH}`
	do
		if test -s $d/$f; then
		    . $d/$f
		    _sourced_files="$_sourced_files $d/$f"
		    $x
		fi
	done
}

case ./$0 in
*/source*) _source "$@";;
*/[wW]hich*) Which "$@";;
esac
