#!/bin/sh

# NAME:
#	pre-commit - pre commit hook for Git/Mercurial
#
# DESCRIPTION:
#	Simply link this script to '.git/hooks/pre-commit'
#	to ensure that the DNS regression suite passes for each
#	commit.
#
#	For Mercurial we put the following in .hg/hgrc
#.nf
#	[hooks]
#	precommit = /usr/local/share/dns/pre-commit
#
#.fi
#	
# AUTHOR:
#	Simon J. Gerraty <sjg@crufty.net>

# RCSid:
#	$Id: pre-commit.sh,v 1.3 2016/04/11 00:38:28 sjg Exp $
#
#	@(#) Copyright (c) 2016 Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@crufty.net
#

test -s .dnsmagicrc && . ./.dnsmagicrc
DNSMAGIC=${DNSMAGIC:-${SHARE:-/usr/local/share}/dns}
# let regress know we are committing
PRE_COMMIT=$0
export PRE_COMMIT
exec $DNSMAGIC/regress "$@"
